org.apache.cayenne.access

## Class ToManyList

- java.lang.Object
- - org.apache.cayenne.util.RelationshipFault
  - - org.apache.cayenne.util.PersistentObjectList
    - - org.apache.cayenne.access.ToManyList

- All Implemented Interfaces:
    Serializable, Iterable, Collection, List, PersistentObjectCollection, ValueHolder

      public class ToManyList
      extends PersistentObjectList
      implements Serializable

  A list that holds objects for to-many relationships. All operations, except for resolving the list from DB, are not synchronized. The safest way to implement custom synchronization is to synchronize on parent ObjectStore.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.util.PersistentObjectList

      `addedToUnresolved, objectList, removedFromUnresolved`

    - ### Fields inherited from class org.apache.cayenne.util.RelationshipFault

      `relationshipName, relationshipOwner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToManyList(Persistent source, String relationship)` Creates ToManyList.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `hashCode()`
    `protected void` | `postprocessAdd(Collection collection)`
    `protected void` | `postprocessAdd(Object addedObject)`
    `protected void` | `postprocessRemove(Collection collection)`
    `protected void` | `postprocessRemove(Object removedObject)`
    `protected boolean` | `shouldAddToRemovedFromUnresolvedList(Object object)`
    `String` | `toString()`
    `protected void` | `updateReverse(List resolved)`

    - ### Methods inherited from class org.apache.cayenne.util.PersistentObjectList

      `add, add, addAll, addAll, addDirectly, addLocal, clear, clearLocalChanges, contains, containsAll, equals, get, getValue, getValueDirectly, indexOf, invalidate, isEmpty, isFault, iterator, lastIndexOf, listIterator, listIterator, mergeLocalChanges, remove, remove, removeAll, removeDirectly, removeLocal, resolvedObjectList, retainAll, set, setObjectList, setValue, setValueDirectly, size, subList, toArray, toArray`

    - ### Methods inherited from class org.apache.cayenne.util.RelationshipFault

      `getRelationshipName, getRelationshipOwner, isTransientParent, isUncommittedParent, resolveFromDB`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `replaceAll, sort, spliterator`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### ToManyList

          public ToManyList(Persistent source,
                            String relationship)

      Creates ToManyList.
      Since:
        1.1

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Collection`
      Specified by:
        `hashCode` in interface `List`
      Overrides:
        `hashCode` in class `PersistentObjectList`

    - #### shouldAddToRemovedFromUnresolvedList

          protected boolean shouldAddToRemovedFromUnresolvedList(Object object)

      Overrides:
        `shouldAddToRemovedFromUnresolvedList` in class `PersistentObjectList`
      Returns:
        whether object should be added to `PersistentObjectList.removedFromUnresolved` during removal

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `PersistentObjectList`

    - #### postprocessAdd

          protected void postprocessAdd(Collection collection)

      Overrides:
        `postprocessAdd` in class `PersistentObjectList`

    - #### postprocessRemove

          protected void postprocessRemove(Collection collection)

      Overrides:
        `postprocessRemove` in class `PersistentObjectList`

    - #### postprocessAdd

          protected void postprocessAdd(Object addedObject)

      Overrides:
        `postprocessAdd` in class `PersistentObjectList`

    - #### postprocessRemove

          protected void postprocessRemove(Object removedObject)

      Overrides:
        `postprocessRemove` in class `PersistentObjectList`

    - #### updateReverse

          protected void updateReverse(List resolved)

      Overrides:
        `updateReverse` in class `RelationshipFault`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.